batch: Get batch submissions

API: judge0.com:judge0-ce
Endpoint: /submissions/batch
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 355ms

Description

Returns the status and results of previously submitted batch jobs. Use this to poll for completion of multiple submissions without making individual requests.

From spec: Retrieves multiple submissions by their tokens.

Usage Tips

- Requires submission tokens from batch creation - Tokens should be provided as query parameters - Returns results in the order tokens were provided

Parameters (4)

X-Auth-Token (string, header, optional)

Optional authentication token for private instances

base64_encoded (boolean, query, optional, default: False)

If true, stdout and stderr are returned base64 encoded

fields (string, query, optional)

Comma-separated list of fields to return

tokens (string, query, required)

Comma-separated list of submission tokens

Examples (1)

Get batch submission results doc_extracted

Retrieves results for multiple previously submitted code executions in a single request.

curl 'https://ce.judge0.com/submissions/batch?tokens=token1%2Ctoken2%2Ctoken3'
import requests

resp = requests.get(
    "https://ce.judge0.com/submissions/batch",
    params={
        'tokens': 'token1,token2,token3',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("judge0")
result = api.fetch("submissions/batch", tokens="token1,token2,token3")

for item in result:
    print(item)
const resp = await fetch("https://ce.judge0.com/submissions/batch?tokens=token1%2Ctoken2%2Ctoken3");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:14:20.646422 200 355ms
2026-04-16 02:47:51.205660 200 239ms
2026-04-15 02:28:13.667705 200 280ms
2026-04-14 00:46:57.819163 200 274ms
2026-04-12 14:27:07.784246 200 302ms
2026-04-10 02:02:16.176731 200 173ms
2026-04-09 03:36:40.081441 200 255ms